XML::LibXML can't be installed

Posted by htalbot on 2011-09-07 12:42
Forums: PPM | OS: Windows 7

Hi,

(Windows 7 - 64)

ActivePerl 5.12.3 (win32) was installed. I uninstalled it and installed 5.14.1.1401 (win32): OK.

Now I try to install and get this message:

ppm install failed: Can't find any package that provides XML::SAX::Base for XML-SAX

Looked everywhere on yhe net and found nothing.

Thanks

Hubert

htalbot | Fri, 2011-09-09 01:53

Ok, fixed it.

- download XML-SAX-Base-1.05 from http://search.cpan.org/~grantm/XML-SAX-Base-1.05/
- uncompress
- ppm install dmake
- perl Makefile.pl
- dmake
- dmake test
- dmake install
- ppm install XML::LibXML
- good!

Strangely, I installed XML::LibXML with no problem on another Win7-64 while I had the problem on 3 others.These three win7 are at the same location (office) and the one with no problem is at home). Each and every win7 is a virtual machine (VirtualBox on Ubuntu). Any idea?